From c1498fed17881cb1a533791368d9f983dd6ea5c0 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Thu, 20 Jul 2017 17:15:35 -0700
Subject: [PATCH 1008/1008] Fix float.h to work on Snow Leopard and earlier

https://bugs.llvm.org/show_bug.cgi?id=31504
https://trac.macports.org/ticket/54135

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 lib/Headers/float.h | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git llvm_master/tools/clang/lib/Headers/float.h macports_master/tools/clang/lib/Headers/float.h
index 44d4d05494..4970a722ed 100644
--- llvm_master/tools/clang/lib/Headers/float.h
+++ macports_master/tools/clang/lib/Headers/float.h
@@ -31,7 +31,12 @@
  * Also fall back on Darwin to allow additional definitions and
  * implementation-defined values.
  */
-#if (defined(__APPLE__) || (defined(__MINGW32__) || defined(_MSC_VER))) && \
+
+#if defined(__APPLE__) && __has_include(<Availability.h>)
+#include <Availability.h>
+#endif
+
+#if ((defined(__APPLE__) && __has_include(<Availability.h>) && (!defined(__MAC_OS_X_VERSION_MAX_ALLOWED) || __MAC_OS_X_VERSION_MAX_ALLOWED >= 101300)) || (defined(__MINGW32__) || defined(_MSC_VER))) && \
     __STDC_HOSTED__ && __has_include_next(<float.h>)
 
 /* Prior to Apple's 10.7 SDK, float.h SDK header used to apply an extra level
-- 
2.17.1 (Apple Git-112)

